## imcode.server.document
Class FileDocumentDomainObject.FileDocumentFile

    java.lang.Object
      imcode.server.document.FileDocumentDomainObject.FileDocumentFile

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Enclosing class:
  FileDocumentDomainObject

    public static class FileDocumentDomainObject.FileDocumentFile

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`FileDocumentDomainObject.FileDocumentFile()`

Method Summary
`protected java.lang.Object` `clone()`
`java.lang.String` `getFilename()`
`java.lang.String` `getId()`
`InputStreamSource` `getInputStreamSource()`
`java.lang.String` `getMimeType()`
`boolean` `isCreatedAsImage()`
`void` `setCreatedAsImage(boolean createdAsImage)`
`void` `setFilename(java.lang.String v)`
`void` `setId(java.lang.String id)`
`void` `setInputStreamSource(InputStreamSource inputStreamSource)`
`void` `setMimeType(java.lang.String mimeType)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDocumentDomainObject.FileDocumentFile

    public FileDocumentDomainObject.FileDocumentFile()

Method Detail

### getFilename

    public java.lang.String getFilename()

### setFilename

    public void setFilename(java.lang.String v)

### getMimeType

    public java.lang.String getMimeType()

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### setInputStreamSource

    public void setInputStreamSource(InputStreamSource inputStreamSource)

### getInputStreamSource

    public InputStreamSource getInputStreamSource()

### setCreatedAsImage

    public void setCreatedAsImage(boolean createdAsImage)

### isCreatedAsImage

    public boolean isCreatedAsImage()

### setId

    public void setId(java.lang.String id)

### getId

    public java.lang.String getId()

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`